import * as __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__ from "@tachybase/test/e2e";
__WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.test.describe('markdown block schema settings', ()=>{
    (0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.test)('supported options', async (param)=>{
        let { page, mockPage } = param;
        await mockPage(__WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.oneEmptyMarkdown).goto();
        await (0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.expectSettingsMenu)({
            page,
            showMenu: async ()=>{
                await page.getByLabel('block-item-Markdown.Void-markdown').hover();
                await page.getByLabel('designer-schema-settings-Markdown.Void-Markdown.Void.Designer').hover();
            },
            supportedOptions: [
                'Edit markdown',
                'Delete'
            ]
        });
    });
    (0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.test)('edit markdown', async (param)=>{
        let { page, mockPage } = param;
        await mockPage(__WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.oneEmptyMarkdown).goto();
        await page.getByLabel('block-item-Markdown.Void-markdown').hover();
        await page.getByLabel('designer-schema-settings-Markdown.Void-Markdown.Void.Designer').hover();
        await page.getByRole('menuitem', {
            name: 'Edit markdown'
        }).click();
        await page.getByLabel('block-item-Markdown.Void-markdown').getByRole('textbox').click();
        await page.getByLabel('block-item-Markdown.Void-markdown').getByRole('textbox').fill('hello markdown');
        await page.getByRole('button', {
            name: 'Save'
        }).click();
        await (0, __WEBPACK_EXTERNAL_MODULE__tachybase_test_e2e__.expect)(page.getByLabel('block-item-Markdown.Void-markdown').getByText('hello markdown')).toBeVisible();
    });
});
